# SwishResults::nextResult

(PECL swish >= 0.1.0)

SwishResults::nextResult — Get the next search result

### Description

SwishResults::nextResult ( void ) : object
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Return Values

Returns the next SwishResult object in the result set or `FALSE` if there are no more results available.

### Examples

Example #1 Basic SwishResults::nextResult() example

`<?php
try {
$swish = new Swish("index.swish-e");
$search = $swish->prepare();
$results = $search->execute("lost");
while($result = $results->nextResult()) {
/* do something with the result object */
}
} catch (SwishException $e) {
echo $e->getMessage(), "\n";
}
?>`